Bug 1761211

Summary: rpm: Remove (sub)packages from Fedora 32+: python2-rpm
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: rpmAssignee: Packaging Maintenance Team <packaging-team-maint>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, igor.raits, mhroncok, mjw, ngompa13, packaging-team-maint, pmatilai, pmoravco, pviktori, vmukhame, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-17 11:48:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1738012    
Bug Blocks: 1625773, 1698500    

Description Miro Hrončok 2019-10-13 12:01:15 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of rpm were marked for removal:

 * python2-rpm

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31, it is past Beta Freeze.
Please don't do this for Fedora 30/29 either, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Panu Matilainen 2019-10-14 07:39:51 UTC
I'll drop python2-rpm so fast your head will spin once mach gets out of the way :)
I actually have a calendar reminder to check back on its status at beginning of November (ie orphan process should've run its course by then) if I don't hear anything on it / miss some bugzilla emails.

Comment 2 Miro Hrončok 2019-10-14 08:12:31 UTC
The retirement of mach should happen on (or after) 2019-10-17.

Comment 3 Miro Hrončok 2019-10-17 11:12:25 UTC
Go, go, go...

Comment 4 Panu Matilainen 2019-10-17 11:48:06 UTC
Gone!

                _|_
                 |
             .-'''''-.
          .-'    '-.
       .-'  :::::_:::::  '-.
   ___/ ==:...:::-:::...:== \___
  /_____________________________\
':'-._________________________.-'_
 ':::\ @-,`-[-][-^-][-]-`,-@ / _| |_
  '::| .-------------------. ||_ @ _|
   ::|=|*   ___  _  ___   *|=|'.| |
   ':| |'   ))_) )) ))_)  '| |::.^|
   _:|=|'  ((`\ (( ((     '|=|::::::.
 _| || |'        _        '| |:::::::.
|_   |=|'2002  _( )_  2019'|=|':::::.
  | || |' (   (_ ~ _)   ) '| | ':::'
  |^||=|*  )    (_)    (  *|=| '::'
     | '-------------------' .::::'
     |_____________________.::::::'
   .'___________________.::::::''
   |_______________.::::'':::'''
 .'_____________.::::::''::::''
            .:::'''' LGB .'::::'
         .:::::''':.   .:::::'


P.S. 2002 is the closest approximation of Python 2 support in rpm that I could easily find
P.P.S Probably wasn't fast enough to make your head spin as promised, but the ARM builders spin painfully slow :(
P.P.P.S. Thanks for all your effort on this front

Comment 5 Miro Hrončok 2019-10-17 11:53:43 UTC
Panu, you made my day!